"use strict";
/*!
 * Copyright 2019 acrazing <joking.young@gmail.com>. All rights reserved.
 * @since 2019-11-01 23:59:07
 */
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const ts = tslib_1.__importStar(require("typescript"));
function getRealExpression(node) {
    return ts.isParenthesizedExpression(node)
        ? getRealExpression(node.expression)
        : ts.isAsExpression(node)
            ? getRealExpression(node.expression)
            : node;
}
exports.getRealExpression = getRealExpression;
function getImportCallList(body) {
    const imports = [];
    const visitor = (node) => {
        if (ts.isCallExpression(node) &&
            node.expression.kind === ts.SyntaxKind.ImportKeyword) {
            imports.push(node);
        }
        ts.forEachChild(node, visitor);
    };
    visitor(body);
    return imports;
}
exports.getImportCallList = getImportCallList;
function createStatements(text) {
    const { statements } = ts.createSourceFile('', text, ts.ScriptTarget.ESNext, false, ts.ScriptKind.JS);
    const visitor = (node) => {
        node.pos = -1;
        node.end = -1;
        node.flags = ts.NodeFlags.Synthesized;
        ts.forEachChild(node, visitor);
    };
    statements.forEach(visitor);
    return statements;
}
exports.createStatements = createStatements;
//# sourceMappingURL=utils.js.map