/*!
 * Copyright 2019 acrazing <joking.young@gmail.com>. All rights reserved.
 * @since 2019-11-01 23:59:07
 */
import * as ts from 'typescript';
export function getRealExpression(node) {
    return ts.isParenthesizedExpression(node)
        ? getRealExpression(node.expression)
        : ts.isAsExpression(node)
            ? getRealExpression(node.expression)
            : node;
}
export function getImportCallList(body) {
    var imports = [];
    var visitor = function (node) {
        if (ts.isCallExpression(node) &&
            node.expression.kind === ts.SyntaxKind.ImportKeyword) {
            imports.push(node);
        }
        ts.forEachChild(node, visitor);
    };
    visitor(body);
    return imports;
}
export function createStatements(text) {
    var statements = ts.createSourceFile('', text, ts.ScriptTarget.ESNext, false, ts.ScriptKind.JS).statements;
    var visitor = function (node) {
        node.pos = -1;
        node.end = -1;
        node.flags = ts.NodeFlags.Synthesized;
        ts.forEachChild(node, visitor);
    };
    statements.forEach(visitor);
    return statements;
}
//# sourceMappingURL=utils.js.map